* [gentoo-commits] repo/gentoo:master commit in: games-action/descent1-demodata/
@ 2017-04-27 21:41 James Le Cuirot
0 siblings, 0 replies; 5+ messages in thread
From: James Le Cuirot @ 2017-04-27 21:41 UTC (permalink / raw
To: gentoo-commits
commit: 82e4fa7d45a457b08ef29ad544d509c8a33b86bd
Author: James Le Cuirot <chewi <AT> gentoo <DOT> org>
AuthorDate: Mon Mar 13 23:19:08 2017 +0000
Commit: James Le Cuirot <chewi <AT> gentoo <DOT> org>
CommitDate: Thu Apr 27 21:41:25 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=82e4fa7d
games-action/descent1-demodata: EAPI bump, cleanups, drop dead mirror
Package-Manager: Portage-2.3.4, Repoman-2.3.2
.../descent1-demodata-1.4-r1.ebuild | 46 ++++++++++++++++++++++
1 file changed, 46 insertions(+)
diff --git a/games-action/descent1-demodata/descent1-demodata-1.4-r1.ebuild b/games-action/descent1-demodata/descent1-demodata-1.4-r1.ebuild
new file mode 100644
index 00000000000..8a61ba5c297
--- /dev/null
+++ b/games-action/descent1-demodata/descent1-demodata-1.4-r1.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit unpacker
+
+DEMO="desc${PV//.}sw.exe"
+
+DESCRIPTION="Demo data files for Descent 1"
+HOMEPAGE="http://www.interplay.com/games/descent.php"
+SRC_URI="http://icculus.org/d2x/data/${DEMO}
+ ftp://ftp.funet.fi/pub/msdos/games/interplay/${DEMO}"
+LICENSE="free-noncomm"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="!games-action/descent1-data"
+
+DEPEND="app-arch/unzip
+ app-arch/unarj"
+
+S="${WORKDIR}"
+
+src_unpack() {
+ unpack_zip ${A}
+
+ unarj e DESCENT1.SOW || die
+ mv descent.pig{,1} || die
+ unarj e DESCENT2.SOW || die
+ mv descent.pig{,2} || die
+
+ # From the sows, big porkie pies shall grow
+ cat descent.pig{1,2} > descent.pig || die
+}
+
+src_install() {
+ insinto /usr/share/games/d1x
+ doins descent.{hog,pig}
+ dodoc *.txt
+}
+
+pkg_postinst() {
+ elog "A client is needed to run the game, e.g. games-action/dxx-rebirth."
+ echo
+}
^ permalink raw reply related [flat|nested] 5+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: games-action/descent1-demodata/
@ 2020-09-13 21:02 James Le Cuirot
0 siblings, 0 replies; 5+ messages in thread
From: James Le Cuirot @ 2020-09-13 21:02 UTC (permalink / raw
To: gentoo-commits
commit: db67267782e6fc775d83041ad0237767c4a861b3
Author: James Le Cuirot <chewi <AT> gentoo <DOT> org>
AuthorDate: Sun Sep 13 20:56:47 2020 +0000
Commit: James Le Cuirot <chewi <AT> gentoo <DOT> org>
CommitDate: Sun Sep 13 21:02:23 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=db672677
games-action/descent1-demodata: Use arj instead of unarj, EAPI 7
unarj has a problematic license. arj is better anyway as it handles
multiple volumes for us.
Bug: https://bugs.gentoo.org/694746
Package-Manager: Portage-3.0.6, Repoman-3.0.1
Signed-off-by: James Le Cuirot <chewi <AT> gentoo.org>
.../descent1-demodata/descent1-demodata-1.4-r1.ebuild | 17 ++++++-----------
1 file changed, 6 insertions(+), 11 deletions(-)
diff --git a/games-action/descent1-demodata/descent1-demodata-1.4-r1.ebuild b/games-action/descent1-demodata/descent1-demodata-1.4-r1.ebuild
index 8a61ba5c297..700a2496dec 100644
--- a/games-action/descent1-demodata/descent1-demodata-1.4-r1.ebuild
+++ b/games-action/descent1-demodata/descent1-demodata-1.4-r1.ebuild
@@ -1,7 +1,7 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=6
+EAPI=7
inherit unpacker
@@ -17,21 +17,16 @@ KEYWORDS="~amd64 ~x86"
RDEPEND="!games-action/descent1-data"
-DEPEND="app-arch/unzip
- app-arch/unarj"
+BDEPEND="app-arch/unzip
+ app-arch/arj"
S="${WORKDIR}"
src_unpack() {
unpack_zip ${A}
- unarj e DESCENT1.SOW || die
- mv descent.pig{,1} || die
- unarj e DESCENT2.SOW || die
- mv descent.pig{,2} || die
-
- # From the sows, big porkie pies shall grow
- cat descent.pig{1,2} > descent.pig || die
+ mv DESCENT2.SOW DESCENT1.S01 || die
+ arj e -v -y -_ DESCENT1.SOW || die
}
src_install() {
^ permalink raw reply related [flat|nested] 5+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: games-action/descent1-demodata/
@ 2021-10-19 0:19 Sam James
0 siblings, 0 replies; 5+ messages in thread
From: Sam James @ 2021-10-19 0:19 UTC (permalink / raw
To: gentoo-commits
commit: a8ddf859cc432d8f6916a121a402f5a46cf8800e
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Tue Oct 19 00:18:51 2021 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Oct 19 00:18:51 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a8ddf859
games-action/descent1-demodata: Keyword 1.4-r1 arm64, #805497
Signed-off-by: Sam James <sam <AT> gentoo.org>
games-action/descent1-demodata/descent1-demodata-1.4-r1.ebuild | 4 ++--
1 file changed, 2 insertions(+), 2 deletions(-)
diff --git a/games-action/descent1-demodata/descent1-demodata-1.4-r1.ebuild b/games-action/descent1-demodata/descent1-demodata-1.4-r1.ebuild
index 700a2496dec..c768600426b 100644
--- a/games-action/descent1-demodata/descent1-demodata-1.4-r1.ebuild
+++ b/games-action/descent1-demodata/descent1-demodata-1.4-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -13,7 +13,7 @@ SRC_URI="http://icculus.org/d2x/data/${DEMO}
ftp://ftp.funet.fi/pub/msdos/games/interplay/${DEMO}"
LICENSE="free-noncomm"
SLOT="0"
-KEYWORDS="~amd64 ~x86"
+KEYWORDS="~amd64 ~arm64 ~x86"
RDEPEND="!games-action/descent1-data"
^ permalink raw reply related [flat|nested] 5+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: games-action/descent1-demodata/
@ 2022-11-22 14:00 Arthur Zamarin
0 siblings, 0 replies; 5+ messages in thread
From: Arthur Zamarin @ 2022-11-22 14:00 UTC (permalink / raw
To: gentoo-commits
commit: 82d8f068506698a71f8da0ea779ba8ae189f9ff1
Author: Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Tue Nov 22 13:59:52 2022 +0000
Commit: Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Tue Nov 22 13:59:52 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=82d8f068
games-action/descent1-demodata: Keyword 1.4-r1 ppc64, #850472
Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>
games-action/descent1-demodata/descent1-demodata-1.4-r1.ebuild | 4 ++--
1 file changed, 2 insertions(+), 2 deletions(-)
diff --git a/games-action/descent1-demodata/descent1-demodata-1.4-r1.ebuild b/games-action/descent1-demodata/descent1-demodata-1.4-r1.ebuild
index c768600426bb..3c97de88c7f4 100644
--- a/games-action/descent1-demodata/descent1-demodata-1.4-r1.ebuild
+++ b/games-action/descent1-demodata/descent1-demodata-1.4-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -13,7 +13,7 @@ SRC_URI="http://icculus.org/d2x/data/${DEMO}
ftp://ftp.funet.fi/pub/msdos/games/interplay/${DEMO}"
LICENSE="free-noncomm"
SLOT="0"
-KEYWORDS="~amd64 ~arm64 ~x86"
+KEYWORDS="~amd64 ~arm64 ~ppc64 ~x86"
RDEPEND="!games-action/descent1-data"
^ permalink raw reply related [flat|nested] 5+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: games-action/descent1-demodata/
@ 2023-07-05 20:49 Conrad Kostecki
0 siblings, 0 replies; 5+ messages in thread
From: Conrad Kostecki @ 2023-07-05 20:49 UTC (permalink / raw
To: gentoo-commits
commit: 73c3e5679cfcaec6901075ec7f6bbf8bc24d250b
Author: Michael Mair-Keimberger <mmk <AT> levelnine <DOT> at>
AuthorDate: Wed Jul 5 07:48:08 2023 +0000
Commit: Conrad Kostecki <conikost <AT> gentoo <DOT> org>
CommitDate: Wed Jul 5 20:49:00 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=73c3e567
games-action/descent1-demodata: use HTTPS, fix HOMEPAGE
Signed-off-by: Michael Mair-Keimberger <mmk <AT> levelnine.at>
Signed-off-by: Conrad Kostecki <conikost <AT> gentoo.org>
games-action/descent1-demodata/descent1-demodata-1.4-r1.ebuild | 6 +++---
1 file changed, 3 insertions(+), 3 deletions(-)
diff --git a/games-action/descent1-demodata/descent1-demodata-1.4-r1.ebuild b/games-action/descent1-demodata/descent1-demodata-1.4-r1.ebuild
index 3c97de88c7f4..e24d037ae4bb 100644
--- a/games-action/descent1-demodata/descent1-demodata-1.4-r1.ebuild
+++ b/games-action/descent1-demodata/descent1-demodata-1.4-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -8,8 +8,8 @@ inherit unpacker
DEMO="desc${PV//.}sw.exe"
DESCRIPTION="Demo data files for Descent 1"
-HOMEPAGE="http://www.interplay.com/games/descent.php"
-SRC_URI="http://icculus.org/d2x/data/${DEMO}
+HOMEPAGE="https://www.interplay.com"
+SRC_URI="https://icculus.org/d2x/data/${DEMO}
ftp://ftp.funet.fi/pub/msdos/games/interplay/${DEMO}"
LICENSE="free-noncomm"
SLOT="0"
^ permalink raw reply related [flat|nested] 5+ messages in thread
end of thread, other threads:[~2023-07-05 20:49 UTC | newest]
Thread overview: 5+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2023-07-05 20:49 [gentoo-commits] repo/gentoo:master commit in: games-action/descent1-demodata/ Conrad Kostecki
-- strict thread matches above, loose matches on Subject: below --
2022-11-22 14:00 Arthur Zamarin
2021-10-19 0:19 Sam James
2020-09-13 21:02 James Le Cuirot
2017-04-27 21:41 James Le Cuirot
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox